## Process this file with automake to produce Makefile.in

objects = tei-refdblib.xsl tei-refdblib-ns.xsl

EXTRA_DIST = $(objects)
noinst_DATA = tei-refdblib.xsl tei-refdblib-ns.xsl
MOSTLYCLEANFILES=tei-refdblib-ns.xsl
MAINTAINERCLEANFILES = tei-refdblib.xsl

install-data-local:
	$(mkinstalldirs) $(DESTDIR)$(pkgdatadir)/xsl/tei-refdb-xsl/tei-lib
	@for f in $(objects); do \
		$(INSTALL_DATA) $(srcdir)/$$f $(DESTDIR)$(pkgdatadir)/xsl/tei-refdb-xsl/tei-lib/$$f; \
	done

tei-refdblib.xsl: $(top_srcdir)/scripts/libgen.pl
	$(top_srcdir)/scripts/libgen.pl -t > tei-refdblib.xsl

tei-refdblib-ns.xsl: tei-refdblib.xsl $(top_srcdir)/scripts/xslns.pl
	$(top_srcdir)/scripts/xslns.pl -t < $(srcdir)/tei-refdblib.xsl > tei-refdblib-ns.xsl
